Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs	(revision 83)
@@ -0,0 +1,1346 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using System.Diagnostics;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmCostomerRegist
+    {
+
+        #region 表示オブジェクトの取得
+        /// <summary>
+        /// 表示オブジェクトの取得
+        /// </summary>
+        private void SetDisplayObject()
+        {
+            int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
+            m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
+            m_dispControl[(int)DispCtrl.PersonCode] = label21;
+            m_dispControl[(int)DispCtrl.PersonName] = lblLabel01;
+            m_dispControl[(int)DispCtrl.DepartmentName] = lblLabel02;
+            m_dispControl[(int)DispCtrl.CreateDate] = lblLabel03;
+
+            m_dispControl[(int)DispCtrl.OrdersDivision] = cmbDivision;
+            m_dispControl[(int)DispCtrl.CorporateStatusName] = cmbCorporateStatus;
+            m_dispControl[(int)DispCtrl.OrdersName1] = txtInput01;
+            m_dispControl[(int)DispCtrl.OrdersName2] = txtInput02;
+            m_dispControl[(int)DispCtrl.ZipCode] = txtInput03;
+            m_dispControl[(int)DispCtrl.Address1] = txtInput04;
+            m_dispControl[(int)DispCtrl.Address2] = txtInput05;
+            m_dispControl[(int)DispCtrl.Address3] = txtInput09;
+            m_dispControl[(int)DispCtrl.PhoneNumber] = txtInput06;
+            m_dispControl[(int)DispCtrl.FaxNumber] = txtInput07;
+            m_dispControl[(int)DispCtrl.MailAddress] = txtInput15;
+            m_dispControl[(int)DispCtrl.Note] = txtInput08;
+            m_dispControl[(int)DispCtrl.btnSerchZip] = btnSerchZip;
+            m_dispControl[(int)DispCtrl.PointNone] = rdbPoint1;
+            m_dispControl[(int)DispCtrl.PointFront] = rdbPoint2;
+            m_dispControl[(int)DispCtrl.PointRear] = rdbPoint3;
+            m_dispControl[(int)DispCtrl.ChargeDepartmentName] = textBox1;
+            m_dispControl[(int)DispCtrl.ChargePersonName] = textBox2;
+            m_dispControl[(int)DispCtrl.OrderNo] = label26;
+            m_dispControl[(int)DispCtrl.OrderDate] = label27;
+        }
+        #endregion
+        
+        #region 画面ロック
+        /// <summary>
+        /// 画面ロック
+        /// </summary>
+        private void ControlLock(bool bctrl = true)
+        {
+            foreach (Control wrk in m_dispControl)
+            {
+                if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                if (!wrk.GetType().Equals(typeof(Label)))
+                    wrk.Enabled = bctrl;
+            }
+        }
+        #endregion
+
+        #region 画面クリア
+        /// <summary>
+        /// 画面クリア
+        /// </summary>
+        private void ClearDisplay()
+        {
+            try
+            {
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    wrk.Text = "";
+                }
+
+                cmbCorporateStatus.SelectedIndex = -1;
+                cmbDivision.SelectedIndex = -1;
+                rdbPoint1.Checked = true;
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            int iLength = 0;
+            try
+            {
+                // 申請区分
+                panel3.BackColor = CommonDefine.s_clrNormal;
+                if (radioButton3.Checked)
+                {   // 修正時に元データが入っていない場合はエラー
+                    if (m_SourceCotegory == 0 || m_SourceCode == 0)
+                    {
+                        panel3.BackColor = CommonDefine.s_clrError;
+                        string strMsg = "変更元データが選択されていません。\n";
+                        strMsg += "「発注者データ表示」ボタンをクリックして\n";
+                        strMsg += "変更元データを選択してください。";
+                        MessageBox.Show(strMsg, "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                        return false;
+                    }
+                }
+                
+                // 発注区分 
+                if (m_dispControl[(int)DispCtrl.OrdersDivision].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrdersDivision], 100, true);
+
+                // 発注者名
+                if (m_dispControl[(int)DispCtrl.OrdersName1].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrdersName1], s_CostomerNameLength, true);
+
+                if (m_dispControl[(int)DispCtrl.OrdersName2].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrdersName2], s_CostomerNameLength, false);
+
+                // 部署名
+                if (m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.ChargeDepartmentName], s_CostomerNameLength, false);
+
+                // 担当者名
+                if (m_dispControl[(int)DispCtrl.ChargePersonName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.ChargePersonName], s_CostomerNameLength, false);
+
+                // 住所１
+                if (m_dispControl[(int)DispCtrl.Address1].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address1], s_AddressLength, true);
+
+                // 住所２
+                if (m_dispControl[(int)DispCtrl.Address2].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address2], s_AddressLength);
+
+                // 郵便番号
+                if (m_dispControl[(int)DispCtrl.ZipCode].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldZipCodeCheck(m_dispControl[(int)DispCtrl.ZipCode], true);
+
+                // 電話番号
+                if (m_dispControl[(int)DispCtrl.PhoneNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.PhoneNumber], true);
+
+                // FAX番号
+                if (m_dispControl[(int)DispCtrl.FaxNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.FaxNumber]);
+
+                // メールアドレス
+                if (m_dispControl[(int)DispCtrl.MailAddress].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.MailAddress], 256);
+
+                // 備考
+                if (m_dispControl[(int)DispCtrl.Note].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Note], s_NoteLength);
+
+                if (iLength == 0)
+                {
+                    MessageBox.Show("データが入力されていません、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+                if (!bRet)
+                {
+                    MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 初期時申請・承認表示処理
+        /// <summary>
+        /// 初期時申請・承認表示処理
+        /// </summary>
+        private void InitApprovalDisplay()
+        {
+            try
+            {
+                // 承認コード取得
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+
+                // 起動元のリストに承認画面があれば表示しない
+                if (ClsApprovalPermission.ExceApprovalScreen((int)ClsExcute.SubFormExecuteNo.ApprovalPerson))
+                {
+                    pnlApproval.Visible = false;
+                }
+
+                // 承認ボタン・件数の非表示
+                btnApproval.Visible = false;
+                lblApprovalCount.Visible = false;
+
+                // ----- 初期時は申請ボタンのサイズを最大にする
+                btnPetition.Size = new Size(250, btnPetition.Size.Height);
+
+                DateTime OrderDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.OrderDate].Text);
+                int OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+                // ----- 担当者コード・承認機能番号取得（申請レコードがない場合は未申請）
+                if (!ClsApprovalPermission.CheckPersonPetition(m_PersonCode,
+                                                                iApprovalCode,
+                                                                OrderDate,
+                                                                OrderNo)) return;
+
+                // ----- 申請済の場合
+                // 申請ボタンの表示
+                btnPetition.Text = CommonDefine.PetitionButtonString[1];
+                btnPetition.ForeColor = Color.Black;
+                btnPetition.Size = btnApproval.Size;
+                btnPetition.Enabled = false;
+
+                // 承認ボタンの表示
+                btnApproval.Visible = true;
+
+                // ----- 承認済の場合
+                if (ClsApprovalPermission.CheckPersonApproval(m_PersonCode, iApprovalCode, OrderDate, OrderNo))
+                {
+                    btnApproval.Text = CommonDefine.ApprovalButtonString[1];
+                    btnApproval.ForeColor = Color.Black;
+                    // 承認済みの場合は入力できない
+                    ExecReadOnly();
+                    // 承認済みの場合は参照ロックを掛ける
+                    m_EditLock = true;
+                    //// 承認済みフラグON
+                    //m_ApprovalFlag = true;
+                }
+
+                // 承認件数の表示
+                lblApprovalCount.Visible = true;
+                SetApprovalCount();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 承認数表示
+        /// <summary>
+        /// 承認件数のセット
+        /// </summary>
+        private void SetApprovalCount()
+        {
+            try
+            {
+                // 初期値セット
+                lblApprovalCount.Text = "";
+
+                DateTime OrderDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.OrderDate].Text);
+                // 担当者コード・承認機能番号取得
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                // 担当部署取得
+                int DepartmentCode = ClsApprovalPermission.GetFromPersonAndApprovalTheDepartment(m_PersonCode, iApprovalCode, OrderDate, 1);
+
+                // 承認データ取得
+                int ApprovalCount = ClsApprovalPermission.GetPersonApprovalDataCount(m_PersonCode, iApprovalCode, OrderDate);
+
+                // 承認経路マスタ取得
+                int MasterCount = ClsApprovalPermission.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
+
+                // 初期値セット
+                lblApprovalCount.Text = string.Format("{0}/{1}", ApprovalCount, MasterCount);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region データ登録時初期処理
+        /// <summary>
+        /// データ登録時初期処理
+        /// </summary>
+        /// <returns></returns>
+        private bool InitDataEntry(IOCostomerRegist crDB, ref string strSQL, ref CostomerRegist RegRec)
+        {
+            try
+            {
+                // 対象データ・取得SQL作成
+                if (m_NewData)
+                {   // 新規作成時
+                    // キー項目セット
+                    RegRec.PersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode].Text);
+                    RegRec.CreateDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.CreateDate].Text);
+                    RegRec.PetitionPeriod = CommonMotions.SystemMasterData.BusinessPeriod;
+
+                    // 申請連番取得
+                    strSQL = crDB.CreatePrimarykeyString(RegRec.PersonCode, RegRec.CreateDate);
+                    int SeqNo = crDB.SelectMaxSeqNo(strSQL, false) + 1;
+                    strSQL = crDB.CreatePrimarykeyString(RegRec.PersonCode, RegRec.CreateDate, SeqNo);
+                    crDB.DeleteAction(strSQL, false);
+
+                    RegRec.SeqNo = SeqNo;
+                    m_PersonCode = RegRec.PersonCode;
+                    m_CreateDate = RegRec.CreateDate;
+                    m_SeqNo = SeqNo;
+                }
+                else
+                {   //  既存データ取得
+                    strSQL = crDB.CreatePrimarykeyString(m_PersonCode, m_CreateDate, m_SeqNo);
+                    if (!crDB.SelectAction(strSQL, ref RegRec, false))
+                    {
+                        crDB.rollback();
+                        MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ登録
+        /// <summary>
+        /// 発注者登録申請データ登録
+        /// </summary>
+        private bool CostomerRegistDataEntry()
+        {
+            IOCostomerRegist crDB = new IOCostomerRegist();
+            try
+            {
+                //データチェック
+                if (!DispFeildCheck()) return false;
+
+                crDB.connect(); crDB.beginTran();
+
+                CostomerRegist RegRec = new CostomerRegist();
+                string strSQL = string.Empty;
+
+                // データ登録時初期処理
+                if (!InitDataEntry(crDB, ref strSQL, ref RegRec)) return false;
+
+                // 申請区分
+                if (radioButton4.Checked)
+                    RegRec.DataMode = (int)DataMode.NewData;
+                else
+                    RegRec.DataMode = (int)DataMode.EditData;
+                
+                // 発注者区分
+                RegRec.OrderCotegory = CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString());
+
+                // 法人格名称位置
+                if (rdbPoint1.Checked == true) RegRec.CorporateStatusPoint = 0;
+                else if (rdbPoint2.Checked == true) RegRec.CorporateStatusPoint = 1;
+                else if (rdbPoint3.Checked == true) RegRec.CorporateStatusPoint = 2;
+
+                // 法人団体・個人フラグ
+                if (radioButton1.Checked) RegRec.OrderFlg = 0;
+                else RegRec.OrderFlg = 1;
+
+                // 法人格名称
+                if (RegRec.CorporateStatusPoint != 0)
+                    RegRec.CorporateStatusName = m_dispControl[(int)DispCtrl.CorporateStatusName].Text;
+
+                // 申請受付番号
+                RegRec.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+
+                // 発注者名
+                RegRec.OrderersName1 = m_dispControl[(int)DispCtrl.OrdersName1].Text;
+                RegRec.OrderersName2 = m_dispControl[(int)DispCtrl.OrdersName2].Text;
+
+                // 部署名
+                RegRec.DepartmentName = m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text;
+                // 担当者名
+                RegRec.ChargePersonName = m_dispControl[(int)DispCtrl.ChargePersonName].Text;
+                // 郵便番号
+                RegRec.ZipCode = m_dispControl[(int)DispCtrl.ZipCode].Text;
+                // 住所１
+                RegRec.Address1 = m_dispControl[(int)DispCtrl.Address1].Text;
+                // 住所２
+                RegRec.Address2 = m_dispControl[(int)DispCtrl.Address2].Text;
+                // 住所３
+                RegRec.Address3 = m_dispControl[(int)DispCtrl.Address3].Text;
+                // 電話番号
+                RegRec.PhoneNumber = m_dispControl[(int)DispCtrl.PhoneNumber].Text;
+                // FAX番号
+                RegRec.FaxNumber = m_dispControl[(int)DispCtrl.FaxNumber].Text;
+                // メールアドレス
+                RegRec.MailAddress = m_dispControl[(int)DispCtrl.MailAddress].Text;
+                // 備考
+                RegRec.Note = m_dispControl[(int)DispCtrl.Note].Text;
+
+                // 発注者区分
+                RegRec.SourceCotegory = m_SourceCotegory;
+                // 発注者コード
+                RegRec.SourceCode = m_SourceCode;
+
+                if (NewData)
+                {
+                    // データ登録
+                    if (!crDB.InsertAction(RegRec, false))
+                    {
+                        crDB.rollback();
+                        MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+                else
+                {
+                    // データ更新
+                    if (!crDB.UpdateAction(strSQL, RegRec, false))
+                    {
+                        crDB.rollback();
+                        MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                crDB.commit(); crDB.close(); crDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ削除
+        /// <summary>
+        /// 発注者登録申請データ削除
+        /// </summary>
+        /// <returns></returns>
+        private bool CostomerRegistDataRemove()
+        {
+            IOCostomerRegist crDB = new IOCostomerRegist();
+            try
+            {
+                if (m_NewData) return true;
+
+                crDB.connect(); crDB.beginTran();
+
+                string strWhere = crDB.CreatePrimarykeyString(m_PersonCode, m_CreateDate, m_SeqNo);
+
+                if (!crDB.DeleteAction(strWhere,false))
+                {
+                    crDB.rollback();
+                    MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+                crDB.commit(); 
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                crDB.close(); crDB = null;
+            }
+        }
+        #endregion
+
+        #region ヘッダー情報表示
+        /// <summary>
+        /// ヘッダー情報表示
+        /// </summary>
+        private void DispHeader()
+        {
+            IOMDepartment dmDB = new IOMDepartment();
+            try
+            {
+                string strSQL = "SELECT B.DEPARTMENTSTRING, A.PERSONNAME FROM PERSONINCHARGEMASTER A, DEPARTMENTMASTER B";
+                strSQL += string.Format(" WHERE A.PERSONCODE = {0}", m_PersonCode);
+                strSQL += " AND B.DEPARTMENTCODE = A.DEPARTMENTCODE";
+                ArrayList dmRec = new ArrayList();
+                dmDB.ExecuteReader(strSQL, ref dmRec);
+
+                string strDepName = string.Empty;
+                string strPerName = string.Empty;
+                if (dmRec.Count != 0)
+                {
+                    object[] objRec = (object[])dmRec[0];
+                    strDepName = CommonMotions.cnvString(objRec[0]);
+                    strPerName = CommonMotions.cnvString(objRec[1]);
+                    m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringNew + s_FixTitle;
+                }
+
+                m_dispControl[(int)DispCtrl.PersonCode].Text = m_PersonCode.ToString();
+                m_dispControl[(int)DispCtrl.PersonName].Text = strPerName;
+                m_dispControl[(int)DispCtrl.DepartmentName].Text = strDepName;
+                m_dispControl[(int)DispCtrl.CreateDate].Text = DateTime.Now.ToShortDateString();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dmDB.close(); dmDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ表示処理
+        /// <summary>
+        /// 発注者登録申請データ表示処理
+        /// </summary>
+        /// <returns></returns>
+        private bool DispMentenanceData()
+        {
+            // 発注者登録申請データ
+            IOCostomerRegist crDB = new IOCostomerRegist();
+            try
+            {
+                // 発注者マスタ取得
+                ArrayList crList = new ArrayList();
+                string strSQL = "SELECT A.*, B.PERSONNAME, C.DEPARTMENTSTRING, C.DEPARTMENTCODE FROM COSTOMERREGIST A";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.PERSONCODE";
+                strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
+                strSQL += string.Format(" AND A.CreateDate = TO_DATE('{0}')", m_CreateDate.ToShortDateString());
+                strSQL += string.Format(" AND A.SeqNo = {0}", m_SeqNo);
+
+                if (!crDB.ExecuteReader(strSQL, ref crList)) return false;
+                if (crList.Count == 0) return true;
+
+                object[] crRec = (object[])crList[0];
+                // データ表示
+                cmbDivision.SelectedValue = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.OrderCotegory]);
+                m_dispControl[(int)DispCtrl.CorporateStatusName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.CorporateStatusName]);
+
+                int StatusPoint = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.CorporateStatusPoint]);
+                if (StatusPoint == 0) rdbPoint1.Checked = true;
+                else if (StatusPoint == 1) rdbPoint2.Checked = true;
+                else if (StatusPoint == 2) rdbPoint3.Checked = true;
+
+                m_SourceCotegory = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.SourceCotegory]);
+                m_SourceCode = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.SourceCode]);
+                string strEdit = string.Empty;
+                int datamode = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.DataMode]);
+                if (datamode == (int)DataMode.NewData)
+                {
+                    strEdit = CommonDefine.EditModeStringNew;
+                    radioButton4.Checked = true;
+                }
+                else
+                {
+                    strEdit = CommonDefine.EditModeStringEdit;
+                    radioButton3.Checked = true;
+                }
+
+                m_dispControl[(int)DispCtrl.EditMode].Text = string.Format("{0}{1}", strEdit, s_FixTitle);
+
+                int DivCnt = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.OrderFlg]);
+                if (DivCnt == 0) radioButton1.Checked = true;
+                else radioButton2.Checked = true;
+
+                m_dispControl[(int)DispCtrl.OrderNo].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.OrderNo]).ToString();
+                m_dispControl[(int)DispCtrl.OrderDate].Text = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.TableColumn.OrderDate]).ToShortDateString();
+
+                m_dispControl[(int)DispCtrl.OrdersName1].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.OrderersName1]);
+                m_dispControl[(int)DispCtrl.OrdersName2].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.OrderersName2]);
+                m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.DepartmentName]);
+                m_dispControl[(int)DispCtrl.ChargePersonName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.ChargePersonName]);
+                m_dispControl[(int)DispCtrl.ZipCode].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.ZipCode]);
+                m_dispControl[(int)DispCtrl.Address1].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.Address1]);
+                m_dispControl[(int)DispCtrl.Address2].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.Address2]);
+                m_dispControl[(int)DispCtrl.Address3].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.Address3]);
+                m_dispControl[(int)DispCtrl.PhoneNumber].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.PhoneNumber]);
+                m_dispControl[(int)DispCtrl.FaxNumber].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.FaxNumber]);
+                m_dispControl[(int)DispCtrl.MailAddress].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.MailAddress]);
+                m_dispControl[(int)DispCtrl.Note].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.Note]);
+
+                m_dispControl[(int)DispCtrl.CreateDate].Text = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.TableColumn.CreateDate]).ToShortDateString();
+                m_dispControl[(int)DispCtrl.PersonCode].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.PersonCode]).ToString();
+
+                int DspCtrlCnt = Enum.GetNames(typeof(IOCostomerRegist.TableColumn)).Length;
+                m_dispControl[(int)DispCtrl.PersonName].Text = CommonMotions.cnvString(crRec[DspCtrlCnt]);
+                m_dispControl[(int)DispCtrl.DepartmentName].Text = CommonMotions.cnvString(crRec[(DspCtrlCnt + 1)]);
+
+                // 申請データキー取得
+                m_CreateDate = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.TableColumn.CreateDate]);
+                m_SeqNo = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.SeqNo]);
+                
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                crDB.close(); crDB = null;
+            }
+        }
+        #endregion
+
+        #region 法人格コンボボックスセット
+        /// <summary>
+        /// 法人格コンボボックスセット
+        /// </summary>
+        private void SetcmbCorporateStatusCombBox()
+        {
+            IOMBusinessType btDB = new IOMBusinessType();
+            try
+            {
+                cmbCorporateStatus.DataSource = null;
+                cmbCorporateStatus.Items.Clear();
+
+                List<BusinessTypeMaster> btList = new List<BusinessTypeMaster>();
+                if (!btDB.SelectAction(" ORDER BY DISPLAYORDER", ref btList)) return;
+                if (btList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                // データ表示
+                for (int i = 0; i < btList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(btList[i].DisplayOrder, btList[i].BusinessTypeName);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbCorporateStatus, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                btDB.close(); btDB = null;
+            }
+        }
+        #endregion
+
+        #region 発注者区分コンボボックスセット
+        /// <summary>
+        /// 発注者区分コンボボックスセット
+        /// </summary>
+        private void SetcmbDivisionCombBox()
+        {
+            IOMDivision dvDB = new IOMDivision();
+            try
+            {
+                cmbDivision.DataSource = null;
+                cmbDivision.Items.Clear();
+
+                List<DivisionMaster> bvList = new List<DivisionMaster>();
+                // ValueからKeyを検索
+                int DivisionCode = (int)CommonDefine.DivisionMasterCodeDefine.OrderDivision;
+                string strSQL = dvDB.CreatePrimarykeyString(DivisionCode) + " And DeleteFlg = 0 ORDER BY DISPLAYORDER";
+                if (!dvDB.SelectAction(strSQL, ref bvList)) return;
+                if (bvList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                List<KeyValuePair<int, string>> ChangeList = new List<KeyValuePair<int, string>>();
+                // データ表示
+                for (int i = 0; i < bvList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(bvList[i].NameCode, bvList[i].NameString);
+
+                    DataList.Add(keyval);
+                    ChangeList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDivision, ChangeList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dvDB.close(); dvDB = null;
+            }
+        }
+        #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                panel2.Enabled = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 表示タイプ切り替え
+        /// <summary>
+        /// 表示タイプ切り替え
+        /// </summary>
+        private void ChangeDispType()
+        {
+            try
+            {
+                int TblHeight = 0;
+                float fHeight = 0;
+                bool bVisible = true;
+                if (radioButton1.Checked)
+                {
+                    fHeight = 28F;
+                    bVisible = true;
+                    TblHeight = (int)((fHeight * 15) + 80F);
+                }
+                else if (radioButton2.Checked)
+                {
+                    fHeight = 0F;
+                    bVisible = false;
+                    TblHeight = (int)((28F * 11) + 80F);
+                }
+                tableLayoutPanel1.Height = TblHeight;
+
+                tableLayoutPanel1.RowStyles[2].Height = fHeight;
+                cmbCorporateStatus.Visible = bVisible;
+                label16.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[3].Height = fHeight;
+                panel5.Visible = bVisible;
+                label11.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[6].Height = fHeight;
+                textBox1.Visible = bVisible;
+                label23.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[7].Height = fHeight;
+                textBox2.Visible = bVisible;
+                label24.Visible = bVisible;
+
+                m_bChengeAns = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 申請区分変更時処理
+        /// <summary>
+        /// 申請区分変更時処理
+        /// </summary>
+        private void DataModeChange()
+        {
+            try
+            {
+                string strMode = string.Empty;
+                if (radioButton4.Checked)
+                {
+                    strMode = string.Format("{0}{1}", CommonDefine.EditModeStringNew, s_FixTitle);
+                    m_SourceCotegory = 0;
+                    m_SourceCode = 0;
+                }
+                else
+                {
+                    strMode = string.Format("{0}{1}", CommonDefine.EditModeStringEdit, s_FixTitle);
+                }
+                m_dispControl[(int)DispCtrl.EditMode].Text = strMode;
+                m_bChengeAns = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 申請ボタン押下処理
+        /// <summary>
+        /// 申請ボタン押下処理
+        /// </summary>
+        private void PetitionProcess()
+        {
+            IOCostomerRegist CrDB = new IOCostomerRegist();
+            IOPersonApproval PersonAppDB = new IOPersonApproval();
+            try
+            {
+                // 発注者登録申請データが無い場合は登録する
+                string strSQL = CrDB.CreatePrimarykeyString(m_PersonCode, m_CreateDate, m_SeqNo);
+                CostomerRegist DataRec = new CostomerRegist();
+                if (!CrDB.SelectAction(strSQL, ref DataRec)) m_bChengeAns = true;
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns) if (!CostomerRegistDataEntry()) return;
+
+                // 一気にメニューに戻る
+                m_EndButton = true;
+                ClsExcute.ClearProcess();
+
+                DateTime wkDate = DateTime.Now;
+                // 起動番号
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+                // 担当者コード
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_PersonCode);
+                // 承認機能番号
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+                // 受付日
+                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(wkDate);
+                // 受付番号
+                string strApp = PersonAppDB.CreatePrimarykeyString(m_PersonCode, (int)ClsExcute.ApprovalListNo.CostomerRegistApproval, wkDate);
+                int wrkOrderNo = PersonAppDB.SelectMaxOrderNoCount(strApp) + 1;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(wrkOrderNo);
+
+                // 検索日付キー
+                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(m_CreateDate);
+                // 検索連番キー
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_SeqNo);
+
+                // 親フォーム終了
+                m_ParentEnd = true;
+
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                CrDB.close(); CrDB = null;
+                PersonAppDB.close(); PersonAppDB = null;
+            }
+        }
+        #endregion
+
+        #region 承認ボタン押下処理
+        /// <summary>
+        /// 承認ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ApprovalProcess()
+        {
+            try
+            {
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!CostomerRegistDataEntry()) return;
+                }
+
+                // 一気にメニューに戻る
+                m_EndButton = true;
+                ClsExcute.ClearProcess();
+
+                // 起動番号
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+
+                // 担当者コード
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_PersonCode);
+
+                // 承認機能番号
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+
+                // 受付日
+                string strartDate = m_dispControl[(int)DispCtrl.OrderDate].Text;
+                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(CommonMotions.cnvDate(strartDate));
+
+                // 受付番号
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text));
+
+                // 検索日付キー
+                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(m_CreateDate);
+                // 検索連番キー
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_SeqNo);
+
+                // 親フォーム終了
+                m_ParentEnd = true;
+
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）承認ボタン押下処理
+        /// <summary>
+        /// 承認パネル（pnlApproval）承認ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void OnApprovalProcess()
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("発注者申請登録を承認します、よろしいですか？。", "承認確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 一気にメニューに戻る
+                m_EndButton = true;
+                ClsExcute.ClearProcess();
+
+                // 担当者コード
+                frm.PersonCode = m_PersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                // 受付日
+                string strartDate = m_dispControl[(int)DispCtrl.OrderDate].Text;
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+
+                // 検索日付キー
+                frm.DataSearchDate = m_CreateDate;
+                // 検索連番キー
+                frm.DataSearchSeqNo = m_SeqNo;
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval, false))
+                {
+                    MessageBox.Show("承認に失敗しました。", "承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 親フォーム終了
+                m_ParentEnd = true;
+
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）保留ボタン押下処理
+        /// <summary>
+        /// 承認パネル（pnlApproval）保留ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void OnHoldProcess()
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("発注者申請登録を保留とします、よろしいですか？。", "保留確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 一気にメニューに戻る
+                m_EndButton = true;
+                ClsExcute.ClearProcess();
+
+                // 担当者コード
+                frm.PersonCode = m_PersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                // 受付日
+                string strartDate = m_dispControl[(int)DispCtrl.OrderDate].Text;
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+
+                // 検索日付キー
+                frm.DataSearchDate = m_CreateDate;
+                // 検索連番キー
+                frm.DataSearchSeqNo = m_SeqNo;
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Pending, false))
+                {
+                    MessageBox.Show("保留に失敗しました。", "保留エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 親フォーム終了
+                m_ParentEnd = true;
+
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）不承認ボタン押下処理
+        /// <summary>
+        /// 承認パネル（pnlApproval）不承認ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void NotApprovalProcess()
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("発注者申請登録を不承認します、よろしいですか？。", "不承認確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 一気にメニューに戻る
+                m_EndButton = true;
+                ClsExcute.ClearProcess();
+
+                // 担当者コード
+                frm.PersonCode = m_PersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                // 受付日
+                string strartDate = m_dispControl[(int)DispCtrl.OrderDate].Text;
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+
+                // 検索日付キー
+                frm.DataSearchDate = m_CreateDate;
+                // 検索連番キー
+                frm.DataSearchSeqNo = m_SeqNo;
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.NotApproval, false))
+                {
+                    MessageBox.Show("不承認に失敗しました。", "不承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 親フォーム終了
+                m_ParentEnd = true;
+
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 発注者マスタ表示処理
+        /// <summary>
+        /// 発注者マスタ表示処理
+        /// </summary>
+        private void DspOrderData()
+        {
+            try
+            {
+                // 表示されている時は再表示する
+                if (m_frm != null)
+                {
+                    m_frm.Activate();
+                    return;
+                }
+
+                m_frm = new FrmOrderers();
+
+                m_frm.SubForm = true;
+                m_frm.EditLock = true;
+                m_frm.DivisionCode = m_SourceCotegory;
+                m_frm.OrderersCode = m_SourceCode;
+
+                m_frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                m_frm.FormClosed += new FormClosedEventHandler(FrmOrderersClosed);
+
+                m_frm.Show();
+
+                // データ表示
+                m_frm.DispReferenceData();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 発注者マスタメンテナンス画面終了処理
+        /// <summary>
+        /// 発注者マスタメンテナンス画面終了処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmOrderersClosed(object sender, FormClosedEventArgs e)
+        {
+            IOMOrderers OrderDB = new IOMOrderers();
+            try
+            {
+                // 参照時は引込処理をしない
+                if (m_EditLock) return;
+
+                // 終了ボタン押下で終了した場合
+                if (m_frm.EndButton) return;
+
+                this.Activate();
+
+                string strMsg = string.Empty;
+                // 選択無しは処理しない
+                if (m_frm.EndButton) return;
+
+                // データ置き換え確認
+                strMsg = "選択したマスタデータを取り込みますか？\n";
+                strMsg += "「はい」　を選択すると現在編集中のデータは破棄されます。\n";
+                strMsg += "「いいえ」を選択するとデータは取り込まれません。";
+                if (MessageBox.Show(strMsg, "データ読込確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.Yes)
+                {
+                    string strSQL = OrderDB.CreatePrimarykeyString(m_frm.DivisionCode, m_frm.OrderersCode);
+                    OrderersMaster OrderRec = new OrderersMaster();
+                    if (!OrderDB.SelectAction(strSQL, ref OrderRec))
+                    {
+                        MessageBox.Show("発注者マスタ読込に失敗しました。", "読込エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return;
+                    }
+                    // 読込マスタデータ表示
+                    DispMasterData(OrderRec);
+                }
+
+                if (radioButton4.Checked)
+                {
+                    // 新規時はデータクリア
+                    m_SourceCotegory = 0;
+                    m_SourceCode = 0;
+                }
+                else
+                {
+                    // 修正時はデータ取得
+                    m_SourceCotegory = m_frm.DivisionCode;
+                    m_SourceCode = m_frm.OrderersCode;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                m_frm.Dispose(); m_frm = null;
+                OrderDB.close(); OrderDB = null;
+            }
+        }
+        #endregion
+
+        #region マスタ読込データ表示
+        /// <summary>
+        /// マスタ読込データ表示
+        /// </summary>
+        /// <param name="OrderRec"></param>
+        private void DispMasterData(OrderersMaster OrderRec)
+        {
+            try
+            {
+                // データ表示
+                cmbDivision.SelectedValue = OrderRec.OrderCotegory;
+                m_dispControl[(int)DispCtrl.CorporateStatusName].Text = OrderRec.CorporateStatusName;
+
+                if (OrderRec.CorporateStatusPoint == 0) rdbPoint1.Checked = true;
+                else if (OrderRec.CorporateStatusPoint == 1) rdbPoint2.Checked = true;
+                else if (OrderRec.CorporateStatusPoint == 2) rdbPoint3.Checked = true;
+
+                if (OrderRec.OrderFlg == 0) radioButton1.Checked = true;
+                else radioButton2.Checked = true;
+
+                m_dispControl[(int)DispCtrl.OrdersName1].Text = OrderRec.OrderersName1;
+                m_dispControl[(int)DispCtrl.OrdersName2].Text = OrderRec.OrderersName2;
+                m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text = OrderRec.DepartmentName;
+                m_dispControl[(int)DispCtrl.ChargePersonName].Text = OrderRec.ChargePersonName;
+                m_dispControl[(int)DispCtrl.ZipCode].Text = OrderRec.ZipCode;
+                m_dispControl[(int)DispCtrl.Address1].Text = OrderRec.Address1;
+                m_dispControl[(int)DispCtrl.Address2].Text = OrderRec.Address2;
+                m_dispControl[(int)DispCtrl.Address3].Text = OrderRec.Address3;
+                m_dispControl[(int)DispCtrl.PhoneNumber].Text = OrderRec.PhoneNumber;
+                m_dispControl[(int)DispCtrl.FaxNumber].Text = OrderRec.FaxNumber;
+                m_dispControl[(int)DispCtrl.MailAddress].Text = OrderRec.MailAddress;
+                m_dispControl[(int)DispCtrl.Note].Text = OrderRec.Note;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        // -------------------- 印刷処理
+        #region 印刷時ボタン制御
+        /// <summary>
+        /// 印刷時ボタン制御
+        /// </summary>
+        /// <param name="bprint"></param>
+        private void PrintButtonVisbleControl(bool bprint)
+        {
+            panel1.Enabled = !bprint;
+            tableLayoutPanel1.Enabled = !bprint;
+
+            btnOtherProc.Visible = !bprint;
+            btnDataEntry.Visible = !bprint;
+            btnDataDelete.Visible = !bprint;
+            btnEnd.Visible = !bprint;
+
+            if (bprint)
+            {
+                btnPrint.Visible = false;
+                btnCancel.Visible = true;
+            }
+            else
+            {
+                btnPrint.Visible = true;
+                btnCancel.Visible = false;
+            }
+        }
+        #endregion
+
+        private string m_PrintFormString = ClsExcute.ProcessExecuteName[(int)ClsExcute.ProcessExecuteNo.CostomerRegist];
+        #region 印刷処理
+        /// <summary>
+        /// 印刷処理
+        /// </summary>
+        private void PrintOutCstomerRegist()
+        {
+            FrmSaveFilePath frm = new FrmSaveFilePath();
+            FrmPrintInfomation frmPrint = new FrmPrintInfomation();
+            try
+            {
+                // 処理番号セット
+                frmPrint.ExecuteProcNo = (int)ClsExcute.ProcessExecuteNo.CostomerRegist;
+                // 表示文字列セット
+                int substrCnt = m_PrintFormString.IndexOf("－");
+                if (substrCnt > 0) m_PrintFormString = m_PrintFormString.Substring(0, substrCnt);
+                frmPrint.DispString = m_PrintFormString;
+                // 印刷範囲設定の表示
+                frmPrint.DisplayRange = false;
+
+                // ウィンドウ表示
+                frmPrint.ShowDialog();
+
+                // 終了状態
+                m_PrintresRet = frmPrint.EndButton;
+
+                // キャンセルは処理しない
+                if (m_PrintresRet == DialogResult.Cancel) return;
+
+                // EXCEL保存時選択
+                if (m_PrintresRet == DialogResult.No)
+                {
+                    // 保存先を選択する
+                    frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
+
+                    //frm.ShowInTaskbar = false;
+
+                    frm.ShowDialog();
+                    if (frm.EndButton == DialogResult.Cancel) return;
+                    m_SelectSaveExcel = frm.SelectPath;
+                }
+
+
+                // 印刷プロセス数取得
+                m_ProcessCount = 3;             // 枚数＋ＥＸＣＥＬオブジェクト取得(2)
+                PrintProgress.Visible = true;
+                PrintProgress.Minimum = 0;
+                PrintProgress.Maximum = m_ProcessCount;
+                PrintProgress.Value = 0;
+
+                m_Canceled = false;
+                // ボタンの変更
+                PrintButtonVisbleControl(true);
+
+                //印刷を別スレッドで実行する
+                m_ProgressCount = 0;
+                workerThread = new System.Threading.Thread(new System.Threading.ThreadStart(PrintMain));
+                workerThread.IsBackground = true;
+                workerThread.Start();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Close(); frm = null;
+                frmPrint.Close(); frmPrint = null;
+            }
+        }
+        #endregion
+        // -------------------- 印刷処理
+    }
+}
